(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20691,        464]
NotebookOptionsPosition[     20200,        443]
NotebookOutlinePosition[     20588,        460]
CellTagsIndexPosition[     20545,        457]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<NDSolve`FEM`\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"nCircle", "=", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"nSect", "=", "16"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ring", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"r", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], ",", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "1", ",", "nCircle"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "0", ",", 
        RowBox[{
         RowBox[{"2", " ", "\[Pi]"}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"\[Pi]", "/", "nSect"}]}]}], ",", 
        RowBox[{"2", " ", 
         RowBox[{"\[Pi]", "/", "nSect"}]}]}], "}"}]}], "]"}], " ", "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tri", "=", 
   RowBox[{"List", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}]}], "}"}]}], ",", 
      RowBox[{"3", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"\[Pi]", "/", "2"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Pi]", "/", "nSect"}]}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"\[Pi]", "/", "2"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Pi]", "/", "nSect"}]}]}], "]"}]}], "}"}]}], ",", 
      RowBox[{"3", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}]}], "}"}]}], ",", 
      RowBox[{"4", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Pi]", "/", "2"}], "]"}]}], "}"}]}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"points", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"ring", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"points", ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ListPlot", "[", "points", "]"}], ",", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{"tri", ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inc1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nSect", " ", 
         RowBox[{"(", 
          RowBox[{"i", "+", "1"}], ")"}]}], "+", "j"}], ",", 
       RowBox[{
        RowBox[{"nSect", " ", "i"}], "+", 
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"1", "+", "j"}], ",", "nSect", ",", "1"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"nSect", " ", "i"}], "+", "j"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{"nCircle", "-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nSect"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inc2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"nSect", " ", 
         RowBox[{"(", 
          RowBox[{"i", "+", "1"}], ")"}]}], "+", "j"}], ",", 
       RowBox[{
        RowBox[{"nSect", " ", 
         RowBox[{"(", 
          RowBox[{"i", "+", "1"}], ")"}]}], "+", 
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"1", "+", "j"}], ",", "nSect", ",", "1"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"nSect", " ", "i"}], "+", 
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"1", "+", "j"}], ",", "nSect", ",", "1"}], "]"}]}]}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{"nCircle", "-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nSect"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"inc", "=", 
    RowBox[{"{", 
     RowBox[{"inc1", ",", "inc2"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"triangles", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"inc", ",", "2"}], "]"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mesh", "=", 
   RowBox[{"ToElementMesh", "[", 
    RowBox[{
     RowBox[{"\"\<Coordinates\>\"", "\[Rule]", "points"}], ",", 
     RowBox[{"\"\<MeshElements\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"TriangleElement", "[", "triangles", "]"}], "}"}]}]}], "]"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"mesh", "[", "\"\<Wireframe\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"mesh", "[", "\"\<Wireframe\>\"", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"mesh", "[", 
    RowBox[{"\"\<Wireframe\>\"", "[", 
     RowBox[{
      RowBox[{"\"\<MeshElement\>\"", "\[Rule]", "\"\<PointElements\>\""}], 
      ",", 
      RowBox[{"\"\<MeshElementStyle\>\"", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", "0.01", "]"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<MeshElementIDStyle\>\"", "\[Rule]", "Blue"}]}], "]"}], 
    "]"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.679954384809947*^9, 3.6799543848149505`*^9}, {
   3.679955338212201*^9, 3.679955374007259*^9}, {3.6799575894722204`*^9, 
   3.679957592568921*^9}, {3.679963413690172*^9, 3.679963421113949*^9}, 
   3.680049142117199*^9, {3.680049240044649*^9, 3.680049245592086*^9}, 
   3.680049587735237*^9, {3.6800499934154425`*^9, 3.6800500880800767`*^9}, {
   3.680050146510517*^9, 3.680050193646945*^9}, {3.680050494806027*^9, 
   3.680050514478979*^9}, {3.680050562024633*^9, 3.6800505742098045`*^9}, {
   3.6800506042791295`*^9, 3.6800506499570255`*^9}, {3.6800507234856725`*^9, 
   3.6800507432987227`*^9}, {3.6800507950934567`*^9, 3.680050803612998*^9}, {
   3.680050849181853*^9, 3.6800508814387293`*^9}, {3.6800509271503453`*^9, 
   3.680050946910847*^9}, 3.6800509797251177`*^9, {3.6800510951399717`*^9, 
   3.680051095174997*^9}, {3.680051212854456*^9, 3.680051253397707*^9}, {
   3.6800513026931677`*^9, 3.6800515485412073`*^9}, {3.6800516079279404`*^9, 
   3.6800516561018596`*^9}, {3.6800516884064627`*^9, 3.6800517331251774`*^9}, 
   3.680051790588931*^9, {3.680052150829776*^9, 3.680052185435819*^9}, {
   3.6800522379475594`*^9, 3.680052238675578*^9}, {3.6800523983808765`*^9, 
   3.680052526124472*^9}, {3.6800526053326483`*^9, 3.680052726051262*^9}, {
   3.6800527595335073`*^9, 3.680052850533043*^9}, {3.680052884340298*^9, 
   3.68005293405956*^9}, {3.6800529756458282`*^9, 3.6800529951721754`*^9}, {
   3.680053038892687*^9, 3.6800530903754406`*^9}, 3.680053126855316*^9, {
   3.680053165260049*^9, 3.680053172211507*^9}, {3.6800532148659296`*^9, 
   3.6800532761423893`*^9}, {3.680053319355462*^9, 3.6800533394346824`*^9}, {
   3.680053377322572*^9, 3.6800533831146603`*^9}, {3.6800539502762246`*^9, 
   3.6800539504843636`*^9}, {3.6800539856614065`*^9, 
   3.6800539972136297`*^9}, {3.680054315978967*^9, 3.6800543768404436`*^9}, {
   3.6800584158866215`*^9, 3.680058430703678*^9}, {3.6800595512995315`*^9, 
   3.680059560111811*^9}, {3.6800596860403275`*^9, 3.6800596864881516`*^9}, {
   3.680059927548859*^9, 3.680059928168297*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdkb1KBEEQhIcLjuNQWGRzMTcyNZgBQQwMFs0UBJUTRMHMQJB7AsHQRDES
THwCoToyOjFVDAQD0UA4ROSS879rYWph6aVrvq6unYm1nYVOI4RQ/by/9f/p
R37NHkzdbB2+xvXzi7PH/dvYm+5unJw+1ZV9ngvZ06cO6s6BvPfBOc5B/KlD
eMh8iD9kP8j+kHzkU+4/dP05Xv9xH3Vln+dy/5BcB3XnQN774BznTPypQ3jI
fMkfTPaD7A/J53yrzv/+0rmvJpup/dUYbq68xbvth97uICRW9nkut29RB3Xn
jLz3jXOcM/GnDuFN5pv4m+xnsr9JPs9fyP2P+j0O/L81Eyv7PJf7F9RB3Tkj
733jHOfk/msdwpvMl/yFyX4m+5vk8/xlnWP+qLs6szeWLheXquXjz4j2eLia
G0ms7PNc7l9SB3XnjLz3jXOcM/GnDuFN5kv+0mQ/k/1N8uEbpNIKKA==
      "]]}, {}}, {}},
  AspectRatio->1,
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{Automatic, Automatic},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->600,
  Method->{},
  PlotRange->{{-5., 5.}, {-5., 5.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.680052451532572*^9, 3.6800524718614893`*^9}, {
   3.680052661089191*^9, 3.6800527266241684`*^9}, {3.6800527605848255`*^9, 
   3.680052809922242*^9}, 3.680052851776925*^9, {3.6800528852204237`*^9, 
   3.680052934819601*^9}, {3.6800529765669813`*^9, 3.6800529959552426`*^9}, {
   3.680053044827391*^9, 3.6800530908617973`*^9}, 3.6800531285680304`*^9, 
   3.6800531726793184`*^9, {3.680053219172476*^9, 3.68005326845743*^9}, {
   3.680053327087925*^9, 3.6800533403208127`*^9}, 3.6800533842194443`*^9, 
   3.680053951970906*^9, {3.6800539870023556`*^9, 3.680053997817559*^9}, {
   3.680054329152574*^9, 3.68005437730027*^9}, {3.6800584162729115`*^9, 
   3.6800584312841053`*^9}, {3.6800595516267633`*^9, 3.680059560425539*^9}, 
   3.6800596870985937`*^9, {3.680059929201048*^9, 3.6800599369995856`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdkb1KBEEQhIcLjuNQWGRzMTcyNZgBQQwMFs0UBJUTRMHMQJB7AsHQRDES
THwCoToyOjFVDAQD0UA4ROSS879rYWph6aVrvq6unYm1nYVOI4RQ/by/9f/p
R37NHkzdbB2+xvXzi7PH/dvYm+5unJw+1ZV9ngvZ06cO6s6BvPfBOc5B/KlD
eMh8iD9kP8j+kHzkU+4/dP05Xv9xH3Vln+dy/5BcB3XnQN774BznTPypQ3jI
fMkfTPaD7A/J53yrzv/+0rmvJpup/dUYbq68xbvth97uICRW9nkut29RB3Xn
jLz3jXOcM/GnDuFN5pv4m+xnsr9JPs9fyP2P+j0O/L81Eyv7PJf7F9RB3Tkj
733jHOfk/msdwpvMl/yFyX4m+5vk8/xlnWP+qLs6szeWLheXquXjz4j2eLia
G0ms7PNc7l9SB3XnjLz3jXOcM/GnDuFN5kv+0mQ/k/1N8uEbpNIKKA==
       "]]}, {}}, {}}, {{}, {{}, {}, 
     {RGBColor[1, 0, 0], PointSize[0.019444444444444445`], AbsoluteThickness[
      1.6], LineBox[{{0., 4.}, {-1.1480502970952693`, 2.7716385975338604`}, {
       0., 3.}, {0., 4.}}]}}, {}}},
  AspectRatio->1,
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->Automatic,
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->600,
  Method->{},
  PlotRange->{{-5., 5.}, {-5., 5.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.680052451532572*^9, 3.6800524718614893`*^9}, {
   3.680052661089191*^9, 3.6800527266241684`*^9}, {3.6800527605848255`*^9, 
   3.680052809922242*^9}, 3.680052851776925*^9, {3.6800528852204237`*^9, 
   3.680052934819601*^9}, {3.6800529765669813`*^9, 3.6800529959552426`*^9}, {
   3.680053044827391*^9, 3.6800530908617973`*^9}, 3.6800531285680304`*^9, 
   3.6800531726793184`*^9, {3.680053219172476*^9, 3.68005326845743*^9}, {
   3.680053327087925*^9, 3.6800533403208127`*^9}, 3.6800533842194443`*^9, 
   3.680053951970906*^9, {3.6800539870023556`*^9, 3.680053997817559*^9}, {
   3.680054329152574*^9, 3.68005437730027*^9}, {3.6800584162729115`*^9, 
   3.6800584312841053`*^9}, {3.6800595516267633`*^9, 3.680059560425539*^9}, 
   3.6800596870985937`*^9, {3.680059929201048*^9, 3.68005993703261*^9}}],

Cell[BoxData[
 GraphicsBox[
  {EdgeForm[GrayLevel[0]], FaceForm[None], GraphicsComplexBox[CompressedData["
1:eJxdkb1KBEEQhIcLjuNQWGRzMTcyNZgBQQwMFs0UBJUTRMHMQJB7AsHQRDES
THwCoToyOjFVDAQD0UA4ROSS879rYWph6aVrvq6unYm1nYVOI4RQ/by/9f/p
R37NHkzdbB2+xvXzi7PH/dvYm+5unJw+1ZV9ngvZ06cO6s6BvPfBOc5B/KlD
eMh8iD9kP8j+kHzkU+4/dP05Xv9xH3Vln+dy/5BcB3XnQN774BznTPypQ3jI
fMkfTPaD7A/J53yrzv/+0rmvJpup/dUYbq68xbvth97uICRW9nkut29RB3Xn
jLz3jXOcM/GnDuFN5pv4m+xnsr9JPs9fyP2P+j0O/L81Eyv7PJf7F9RB3Tkj
733jHOfk/msdwpvMl/yFyX4m+5vk8/xlnWP+qLs6szeWLheXquXjz4j2eLia
G0ms7PNc7l9SB3XnjLz3jXOcM/GnDuFN5kv+0mQ/k/1N8uEbpNIKKA==
    "], PolygonBox[CompressedData["
1:eJwNw4WN2wAAAMAwo2NmiJmZIcygjvALdIWO3j/puJ+/f346rVbr3+/u73Wn
DXQ7m14X7PegQR8eDpDREB2PsMkYn06I2ZScz6jFnF4umNWSba84YM1vAAHc
bCFQhCEJgWUUUTBUxTGNwHWSMCjSpCmLoW2Wcdasy3OewPtbIRC3oSRGshQr
cqIqqaZmupYbemEapWVWtlU7dsM5O8/d+94h8I9hcIrCcxxdkviaJrcsvefZ
o8ifZfGqynddfZr66zZroANsuhuwB0J9CB7AyBBBRyg2xvAJTkwJckZSc4pe
0MySYVfsus3xAC9shC24FSFRgiUZkRVUUTFVwzWd0A3SMCnToi2bsR3W4dau
x3u+4AfbIBTDSIpiOU6UJFXTTMtyPS+MojTLyqpqu26cxuV2e29/8A/H4HgK
T+fofIkv1+R6S2/37P7IH8/i+Spf7+r9qT/f5rtz/wOohD7s
     "]]]},
  ImageSize->600]], "Output",
 CellChangeTimes->{{3.680052451532572*^9, 3.6800524718614893`*^9}, {
   3.680052661089191*^9, 3.6800527266241684`*^9}, {3.6800527605848255`*^9, 
   3.680052809922242*^9}, 3.680052851776925*^9, {3.6800528852204237`*^9, 
   3.680052934819601*^9}, {3.6800529765669813`*^9, 3.6800529959552426`*^9}, {
   3.680053044827391*^9, 3.6800530908617973`*^9}, 3.6800531285680304`*^9, 
   3.6800531726793184`*^9, {3.680053219172476*^9, 3.68005326845743*^9}, {
   3.680053327087925*^9, 3.6800533403208127`*^9}, 3.6800533842194443`*^9, 
   3.680053951970906*^9, {3.6800539870023556`*^9, 3.680053997817559*^9}, {
   3.680054329152574*^9, 3.68005437730027*^9}, {3.6800584162729115`*^9, 
   3.6800584312841053`*^9}, {3.6800595516267633`*^9, 3.680059560425539*^9}, 
   3.6800596870985937`*^9, {3.680059929201048*^9, 3.6800599370361247`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {EdgeForm[GrayLevel[0]], FaceForm[None], GraphicsComplexBox[CompressedData["
1:eJxdkb1KBEEQhIcLjuNQWGRzMTcyNZgBQQwMFs0UBJUTRMHMQJB7AsHQRDES
THwCoToyOjFVDAQD0UA4ROSS879rYWph6aVrvq6unYm1nYVOI4RQ/by/9f/p
R37NHkzdbB2+xvXzi7PH/dvYm+5unJw+1ZV9ngvZ06cO6s6BvPfBOc5B/KlD
eMh8iD9kP8j+kHzkU+4/dP05Xv9xH3Vln+dy/5BcB3XnQN774BznTPypQ3jI
fMkfTPaD7A/J53yrzv/+0rmvJpup/dUYbq68xbvth97uICRW9nkut29RB3Xn
jLz3jXOcM/GnDuFN5pv4m+xnsr9JPs9fyP2P+j0O/L81Eyv7PJf7F9RB3Tkj
733jHOfk/msdwpvMl/yFyX4m+5vk8/xlnWP+qLs6szeWLheXquXjz4j2eLia
G0ms7PNc7l9SB3XnjLz3jXOcM/GnDuFN5kv+0mQ/k/1N8uEbpNIKKA==
     "], PolygonBox[CompressedData["
1:eJwNw4WN2wAAAMAwo2NmiJmZIcygjvALdIWO3j/puJ+/f346rVbr3+/u73Wn
DXQ7m14X7PegQR8eDpDREB2PsMkYn06I2ZScz6jFnF4umNWSba84YM1vAAHc
bCFQhCEJgWUUUTBUxTGNwHWSMCjSpCmLoW2Wcdasy3OewPtbIRC3oSRGshQr
cqIqqaZmupYbemEapWVWtlU7dsM5O8/d+94h8I9hcIrCcxxdkviaJrcsvefZ
o8ifZfGqynddfZr66zZroANsuhuwB0J9CB7AyBBBRyg2xvAJTkwJckZSc4pe
0MySYVfsus3xAC9shC24FSFRgiUZkRVUUTFVwzWd0A3SMCnToi2bsR3W4dau
x3u+4AfbIBTDSIpiOU6UJFXTTMtyPS+MojTLyqpqu26cxuV2e29/8A/H4HgK
T+fofIkv1+R6S2/37P7IH8/i+Spf7+r9qT/f5rtz/wOohD7s
      "]]]}, 
   {EdgeForm[GrayLevel[0]], FaceForm[None], GraphicsComplexBox[CompressedData["
1:eJxdkb1KBEEQhIcLjuNQWGRzMTcyNZgBQQwMFs0UBJUTRMHMQJB7AsHQRDES
THwCoToyOjFVDAQD0UA4ROSS879rYWph6aVrvq6unYm1nYVOI4RQ/by/9f/p
R37NHkzdbB2+xvXzi7PH/dvYm+5unJw+1ZV9ngvZ06cO6s6BvPfBOc5B/KlD
eMh8iD9kP8j+kHzkU+4/dP05Xv9xH3Vln+dy/5BcB3XnQN774BznTPypQ3jI
fMkfTPaD7A/J53yrzv/+0rmvJpup/dUYbq68xbvth97uICRW9nkut29RB3Xn
jLz3jXOcM/GnDuFN5pv4m+xnsr9JPs9fyP2P+j0O/L81Eyv7PJf7F9RB3Tkj
733jHOfk/msdwpvMl/yFyX4m+5vk8/xlnWP+qLs6szeWLheXquXjz4j2eLia
G0ms7PNc7l9SB3XnjLz3jXOcM/GnDuFN5kv+0mQ/k/1N8uEbpNIKKA==
     "], {
      {RGBColor[1, 0, 0], PointSize[0.01], 
       PointBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 65, 
        66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80}]}, 
      {RGBColor[0, 0, 1], InsetBox["1", {1., 0.}, {-1, -1}], 
       InsetBox["2", {0.9238795325112867, 0.3826834323650898}, {-1, -1}], 
       InsetBox["3", {0.7071067811865475, 0.7071067811865475}, {-1, -1}], 
       InsetBox["4", {0.3826834323650898, 0.9238795325112867}, {-1, -1}], 
       InsetBox["5", {0., 1.}, {-1, -1}], 
       InsetBox["6", {-0.3826834323650898, 0.9238795325112867}, {-1, -1}], 
       InsetBox["7", {-0.7071067811865475, 0.7071067811865475}, {-1, -1}], 
       InsetBox["8", {-0.9238795325112867, 0.3826834323650898}, {-1, -1}], 
       InsetBox["9", {-1., 0.}, {-1, -1}], 
       InsetBox["10", {-0.9238795325112867, -0.3826834323650898}, {-1, -1}], 
       InsetBox["11", {-0.7071067811865475, -0.7071067811865475}, {-1, -1}], 
       InsetBox["12", {-0.3826834323650898, -0.9238795325112867}, {-1, -1}], 
       InsetBox["13", {0., -1.}, {-1, -1}], 
       InsetBox["14", {0.3826834323650898, -0.9238795325112867}, {-1, -1}], 
       InsetBox["15", {0.7071067811865475, -0.7071067811865475}, {-1, -1}], 
       InsetBox["16", {0.9238795325112867, -0.3826834323650898}, {-1, -1}], 
       InsetBox["65", {5., 0.}, {-1, -1}], 
       InsetBox["66", {4.619397662556434, 1.913417161825449}, {-1, -1}], 
       InsetBox["67", {3.5355339059327373`, 3.5355339059327373`}, {-1, -1}], 
       InsetBox["68", {1.913417161825449, 4.619397662556434}, {-1, -1}], 
       InsetBox["69", {0., 5.}, {-1, -1}], 
       InsetBox["70", {-1.913417161825449, 4.619397662556434}, {-1, -1}], 
       InsetBox["71", {-3.5355339059327373`, 3.5355339059327373`}, {-1, -1}], 
       InsetBox["72", {-4.619397662556434, 1.913417161825449}, {-1, -1}], 
       InsetBox["73", {-5., 0.}, {-1, -1}], 
       InsetBox["74", {-4.619397662556434, -1.913417161825449}, {-1, -1}], 
       InsetBox["75", {-3.5355339059327373`, -3.5355339059327373`}, {-1, -1}],
        InsetBox["76", {-1.913417161825449, -4.619397662556434}, {-1, -1}], 
       InsetBox["77", {0., -5.}, {-1, -1}], 
       InsetBox["78", {1.913417161825449, -4.619397662556434}, {-1, -1}], 
       InsetBox["79", {3.5355339059327373`, -3.5355339059327373`}, {-1, -1}], 
       InsetBox["80", {4.619397662556434, -1.913417161825449}, {-1, -1}]}}]}},
  ImageSize->600]], "Output",
 CellChangeTimes->{{3.680052451532572*^9, 3.6800524718614893`*^9}, {
   3.680052661089191*^9, 3.6800527266241684`*^9}, {3.6800527605848255`*^9, 
   3.680052809922242*^9}, 3.680052851776925*^9, {3.6800528852204237`*^9, 
   3.680052934819601*^9}, {3.6800529765669813`*^9, 3.6800529959552426`*^9}, {
   3.680053044827391*^9, 3.6800530908617973`*^9}, 3.6800531285680304`*^9, 
   3.6800531726793184`*^9, {3.680053219172476*^9, 3.68005326845743*^9}, {
   3.680053327087925*^9, 3.6800533403208127`*^9}, 3.6800533842194443`*^9, 
   3.680053951970906*^9, {3.6800539870023556`*^9, 3.680053997817559*^9}, {
   3.680054329152574*^9, 3.68005437730027*^9}, {3.6800584162729115`*^9, 
   3.6800584312841053`*^9}, {3.6800595516267633`*^9, 3.680059560425539*^9}, 
   3.6800596870985937`*^9, {3.680059929201048*^9, 3.680059937051123*^9}}]
}, Open  ]]
},
WindowSize->{1858, 1037},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.1 Inherited,
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (2015\:5e748\:670830\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 8286, 210, 753, "Input"],
Cell[8869, 234, 2106, 44, 678, "Output"],
Cell[10978, 280, 2277, 47, 678, "Output"],
Cell[13258, 329, 1970, 32, 675, "Output"],
Cell[15231, 363, 4953, 77, 676, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
